import { useI18n } from '../../../i18n';
import { FcrIconType } from '../../icon/type';
import { FrcTooltipButton } from '../../tooltips-button';
import { jsx as _jsx } from "react/jsx-runtime";
export var ParticipantButton = function ParticipantButton(_ref) {
  var onTooltipButtonClick = _ref.onTooltipButtonClick;
  var transI18n = useI18n();
  return /*#__PURE__*/_jsx(FrcTooltipButton, {
    onTooltipButtonClick: onTooltipButtonClick,
    tooltip: {
      content: transI18n('fmt_participants_label_participants'),
      icon: {
        type: FcrIconType.FCR_PEOPLE,
        size: 32,
        colors: {
          iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)'
        }
      }
    },
    withPopover: false
  });
};